<template>
    <div class="setup1-container">
        <img
            v-if="showPicingF"
            class="pricing__bg"
            src="/images/pricing_bg.svg"
        >
        <div
            v-if="isShopify"
            class="modal-content"
        >
            <div class="carti-setup-header">
                <div>Welcome to Carti - Important Message</div>
            </div>
            <div class="carti-setup-body">
                <p>
                    Congratulations, you are 5 minutes away from
                    <strong>boosting your revenue by up to 15%!</strong>
                </p>
                <p>
                    In the next page, you will approve charges for the highest possible
                    plan (up to $1,000/month).<br>
                    <strong>We will not charge you $1,000</strong> unless we generate over
                    $100,000/month for you.
                </p>
                <p>
                    The app is 100% FREE if we generate less than $100/month, and you get
                    a 30 days free trial either way.
                </p>
                <div v-show="showPricingTable">
                    <div class="pricing-tiers">
                        <div class="pricing-tier1">
                            <div class="tier-title1">
                                For Small Business
                            </div>
                            <div class="html-pricing-tier1 w-embed">
                                <section class="block slider-block">
                                    <div class="pricing-slider-container">
                                        <div class="pricing-slider">
                                            <div class="pricing-slider__top">
                                                <div class="pricing-slider__extra-sales-box">
                                                    <div>
                                                        <div class="pricing-slider__extra-sales-box-value">
                                                            <span class="pricing-slider__up-to"> Up to </span>
                                                            <span
                                                                class="pricing-slider__extra-sales-value"
                                                            >$0-100</span>
                                                        </div>
                                                        <span
                                                            class="pricing-slider__extra-sales-box-label"
                                                        >extra sales</span>
                                                    </div>
                                                </div>
                                                <div class="pricing-slider__separator" />
                                                <div class="pricing-slider__price-box">
                                                    <div>
                                                        <div
                                                            id="price-val"
                                                            class="pricing-slider__price-box__price-val"
                                                        >
                                                            free
                                                        </div>
                                                        <div class="pricing-slider__price-box__price-label">
                                                            per month
                                                        </div>
                                                        <div class="sms-costs-label">
                                                            <a
                                                                target="_blank"
                                                                href="https://carti.io/sms-pricing"
                                                            >+ SMS costs</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="tier1-features">
                                                <div class="tier1-feature-item">
                                                    <div class="pricing-feature">
                                                        All Features:
                                                    </div>
                                                </div>
                                                <div class="tier1-feature-item">
                                                    <div class="pricing-feature">
                                                        <strong>Unlimited Subscribers</strong>
                                                    </div>
                                                </div>
                                                <div class="tier1-feature-item">
                                                    <div class="pricing-feature">
                                                        <strong>24/7 live support</strong>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="pricing-slider__slider-box">
                                                <div id="slider-target" />
                                            </div>
                                        </div>
                                    </div>
                                </section>
                            </div>
                        </div>
                        <div class="pricing-tier2">
                            <div class="tier-title2">
                                <div class="tier2-title">
                                    For Growing Business
                                </div>
                                <div class="tier2-subtitle">
                                    Enjoy advanced automations & analytics with a product that
                                    imporoves constantly.
                                </div>
                            </div>
                            <div class="tier2-features">
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Abandoned cart recovery
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Advanced segmentation
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        A/B testing
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Other updates
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Birthday messages
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        All Features and Unlimited Subscribers
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        10X ROI Guarantee
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Browse adandonment
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Mass campaigns
                                    </div>
                                </div>
                                <div class="tier2-feature-item">
                                    <div class="pricing-feature">
                                        Back in stock
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="carti-setup-footer">
                <div class="shopify-action-container">
                    <b-btn
                        class="carti-pricing-btn"
                        @click="panelExpanded"
                    >
                        Pricing table
                        <span
                            v-if="showPricingTable"
                        ><img
                            class="cart-setup-arrow-icon"
                            src="/images/up-arrow-angle.svg"
                        ></span>
                        <span
                            v-else
                        ><img
                            class="cart-setup-arrow-icon"
                            src="/images/down-arrow.svg"
                        ></span>
                    </b-btn>
                    <b-btn
                        class="btn blue-btn"
                        @click="goShopify"
                    >
                        Let's Go!
                    </b-btn>
                </div>
            </div>
        </div>
        <div v-if="isWix">
            <PricingF v-if="showPicingF" />

            <div
                v-else
                class="carti-setup-container"
            >
                <div class="setup-header-container">
                    <div><strong>Choose a plan</strong></div>
                </div>
                <PricingItems
                    class="setup-body-container"
                    @confirm="selectPlan"
                />
            </div>
        </div>
    </div>
</template>

<script>
import { slider } from "../../custom/price-slider";
import plan from "@/mixins/pricing/pricing.service";
import shop from "@/mixins/shop.service";
import PricingItems from '@/components/pricing/PricingItems'
import PricingF from '@/components/testing-elements/pricing/PricingPage'

export default {
  name: "Setup1",
  components: {
    PricingItems,
    PricingF
  },
  mixins: [plan, shop],
  data() {
    return {
      modal: true,
      isShopify: false,
      isWix: false,
      showPricingTable: false,
      showPicingF: false,
    };
  },
  created() {
    if (this.$route.query.token) $cookies.set("userToken", this.$route.query.token);

    if (this.$route.query.platform) $cookies.set("platform", this.$route.query.platform);
  },
  async mounted() {
    if ($cookies.get("platform") === "shopify") {
      this.isShopify = true;
      slider("#slider-target");
      this.popupShopifyViewed();
    } else {
      this.isWix = true;
      this.segmentViewPricing();
    }
    if(!$cookies.get("userToken")) this.$router.push('/login')

  },
  methods: {
    async goShopify() {
      const response = await this.createRecurringCharge();
      window.location.replace(response);
    },
    async panelExpanded() {
      this.showPricingTable = !this.showPricingTable;
      await this.popupShopifyExpanded();
    },
    async selectPlan(e) {
        let title = e.title
        const plan = e.selectedPlan
        const url = e.url
        if (title === "free") {
            title = "basic";
        }
        if(plan) plan.loading = true

        await this.loadPlans(url || title, "setup").then((res) => {
            this.$session.remove("shop");

            const location = window.location.origin;
            const isLocal =
            location.includes("localhost") || location.includes("127.0.0.1");

            let url = res;
            if (isLocal && res.includes("https")) {
              url = res.replace("https", "http");
            }

            window.location.replace(url);
        });
    },
  },
};
</script>

<style scoped lang="scss">
@import "resources/css/colors";

.setup1-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.modal-content {
  width: 750px;
  position: relative;
  background-color: #ffffff;
  box-shadow: 0 5px 20px rgb(200 208 222 / 20%);
  border: 1px solid #dee1e6;
  background-clip: padding-box;
  outline: 0;
  border-radius: 0;
}

.shopify-action-container {
  display: flex;
  justify-content: flex-end;
  align-items: center;

  .blue-btn {
    margin-left: 10px;
    width: auto;
  }
}

.current-plan {
  width: 100%;
  height: 43px;
  padding: 10px 20px;
  font-weight: bold;
  border-radius: 5px;
  font-size: 14px;
  border-color: #c1c1c1 !important;
  color: white;
  background: #c1c1c1;

  &:hover {
    background: #c1c1c1 !important;
    border-color: #c1c1c1 !important;
    color: white;
    text-decoration: none;
  }
}

.plan-container {
  background: white;
  border-radius: 5px;
  margin: 5px;

  border: 1px solid #eeeff0;
}

.plan-cart-container {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(auto-fill, 220px);
}

.action-button-container {
  margin: 17px 30px;
  display: flex;
  justify-content: center;
}

.plan-header-container {
  padding: 15px 20px;
  border-bottom: 1px solid #eeeff0;
}

.li-text {
  font-size: 12px;
  color: #98a0a6;
}

ul {
  list-style: none;
}

ul li {
  margin-bottom: 5px;
}

ul li::before {
  content: "●";
  color: $blue-color;
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

.plan-header-title {
  font-weight: 600;
}

.plan-body-container {
  padding-top: 15px;
  padding-bottom: 15px;
}

.setup-body-container {
  padding: 25px;
  padding-top: 0;
}

.blue-btn {
  width: 100%;
}

.sms-value-container {
  display: flex;
  align-items: center;
}

.total-revenue-text {
  font-size: 14px;
  margin-right: 10px;
  font-weight: 500;
}

.setup-header-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
  border-bottom: 1px solid #eeeff0;
}

.carti-setup-container {
  box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
  background-color: #fff;
  background-clip: padding-box;
  border-radius: 6px;
  width: 70%;
  height: 80%;
  margin: 0 auto;
}

.cart-setup-arrow-icon {
  width: 11px;
  margin-left: 5px;
}

.carti-setup-header {
  padding: 15px 20px;
  border-bottom: 1px solid #dee1e6;
  font-size: 18px;
  font-weight: bold;
}

.carti-setup-body {
  padding: 15px 20px;
  font-size: 14px;
}

.carti-pricing-btn {
  background-color: rgb(239, 239, 239);
  color: black;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 14px;
  border-color: rgb(239, 239, 239);
}

.carti-setup-footer {
  padding: 15px 20px;
  border-top: 1px solid #dee1e6;
  font-size: 18px;
  font-weight: bold;
  text-align: right;
}
@media(min-width: 1200px) {
  ::v-deep .sticker_top {
    right: -8px;
    z-index: 1000;
  }
  ::v-deep .col-xl-3 {
    padding-right: 0;
    padding-left: 0;
  }
}
</style>
